summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRenato Golin <renato.golin@linaro.org>2017-09-05 15:26:27 +0100
committerRenato Golin <renato.golin@linaro.org>2017-09-05 15:26:27 +0100
commite03e963e499e24cdd8a94053898cc8f50ee1d4f2 (patch)
tree46d9e4550115ace981f8e8dddc1b9f367f9f4017
parenta9d67d5ec67c00cee2be08d70d90498fe7d0594c (diff)
experimental test-suite script
Change-Id: I105d1fbb72e361176ca68370fa02c8ddb0b746f4
-rwxr-xr-xcentos7/10_test_suite.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/centos7/10_test_suite.sh b/centos7/10_test_suite.sh
new file mode 100755
index 0000000..20aaf89
--- /dev/null
+++ b/centos7/10_test_suite.sh
@@ -0,0 +1,48 @@
+#!/usr/bin/env bash
+
+# This script installs OpenHPC on a bare CentOS machine.
+# The base of this script is from the docs-ohpc package at
+# /opt/ohpc/pub/doc/recipes/centos7/aarch64/warewulf/slurm/recipe.sh
+# For more information, see the OpenHPC installation guide, Apendix A.
+
+# Stage 10: Test-Suite
+# Requires input.local to set environment correctly beforehand.
+
+# WARNING: EXPERIMENTAL!
+
+set -ex
+
+. ./input.local
+
+if [[ ${node_is_master} -eq 0 ]]; then
+ echo "This script only runs on the master node"
+ exit 0
+fi
+
+# Install necessary packages
+yum -y install test-suite-ohpc llvm-compilers-ohpc lmod-defaults-gnu7-openmpi-ohpc
+
+# Running the test should be done as ohpc-test user, but that'd
+# complicate the script. If you're running it manualy, feel free
+# to `su - ohpc-test` before all the steps below.
+
+## Configure
+module load autotools
+cd ~ohpc-test/tests
+./bootstrap
+./configure --with-mpi-families="mpich openmpi" --disable-papi --disable-mpiP --enable-long
+
+## Setup environment (future test-suite packages will fix those)
+export BATS_ENABLE_TIMING=1
+export BATS_JUNIT_FORMAT=1
+export BATS_JUNIT_GROUP="UserLevelTests"
+export AUTOMAKE_JUNIT_FILE=1
+export MANPATH=/usr/local/share/man:/usr/share/man/overrides:/usr/share/man/en:/usr/share/man
+
+## Run!
+make -k check | tee openhpc-test-suite.log
+
+## Collect data for Jenkins
+find . -path .git -prune -o -name "*.log.xml" -print0 | tar rvf junit-results.tar --null -T -
+tar rf junit-results.tar openhpc-test-suite.log
+gzip junit-results.tar